Bug 1314167 - Refresh Features on 6.2 embedded Capsule throws error
Summary: Refresh Features on 6.2 embedded Capsule throws error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Dmitri Dolguikh
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-03 06:43 UTC by Mike McCune
Modified: 2019-09-26 16:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:25:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Mike McCune 2016-03-03 06:43:03 UTC
1) Install 6.2 Satellite
2) Infrastructure -> Capsules
3) "Refresh" the embedded capsule, note error:

Error: ERF12-9411 [ProxyAPI::ProxyException]: Unable to fetch public key ([RestClient::InternalServerError]: 500 Internal Server Error) for proxy https://sat-r220-06.lab.eng.rdu2.redhat.com:9090/ssh

It does seem to actually refresh the features as I did this after enabling a new one and it showed up.

Comment 3 Mike McCune 2016-04-01 04:09:25 UTC
this is functioning fine now

Comment 4 Roman Plevka 2016-04-01 14:59:54 UTC
VERIFIED
on Sat 6.2.0 Snap 6:

Success: No changes found when refreshing features from <sat server url>.
browser console shows no errors related to proxy
production log shows no errors related to proxy

Comment 6 errata-xmlrpc 2016-07-27 09:25:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.